components:
  schemas:
    UpdateService_UpdateParameters:
      $ref: http://redfish.dmtf.org/schemas/v1/UpdateService.v1_14_0.yaml#/components/schemas/UpdateService_v1_14_0_UpdateParameters
    UpdateService_UpdateService:
      $ref: http://redfish.dmtf.org/schemas/v1/UpdateService.v1_14_0.yaml#/components/schemas/UpdateService_v1_14_0_UpdateService
      description: The `UpdateService` schema describes the update service and the
        properties for the service itself with links to collections of firmware and
        software inventory.  The update service also provides methods for updating
        software and firmware of the resources in a Redfish service.
      x-longDescription: This resource shall represent an update service and the properties
        that affect the service itself for a Redfish implementation.
title: '#UpdateService.UpdateService'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
